function chenghaoshop(npcId)--杂货
  
  --取得商店NPC ID 
  npcId = npc.GetCurrentID()

  --NPC朝向
  local x,z = npc.GetAt(npcId)
  npc.TurnToPlayer(npcId)
  global.WaitForNpcTurn(npcId)

  
  --xz=flag.GetValue(6001)
  
  --取得玩家选择的项目 
	local n = flag.GetValue(19200)
  
  --执行对应操作

	--买
					

		
	
	if n == 1 then
	
	
		--判断交易帮助 
	if flag.GetValue(11955)==0 then
	ui.ShowHelpDlg(6)
	flag.SetValue(11955,1)
	end
		
		--禁止主界面选单 
		global.BeginScene()
		
        ui.ShowShopDlg(1,1)
		ui.ClearShopList()
		ui.AddShopList(817)  --称号商店说明道具

		global.WaitForShopDlg()
	--卖
	elseif n == 2 then
		--禁止主界面选单 
		global.BeginScene()
		
		ui.ShowShopDlg(2,1)

		global.WaitForShopDlg()
		--离开

	elseif n==3 then
	
		ui.Popo(89351,1,npcId,0)--客官若是没有足够的名气，是买不到好东西的。
	
    end

	
	
	  
     --商店窗口关闭后，npc转回原方向  
    npc.TurnTo(npcId,x,z)
    global.WaitForNpcTurn(npcId)
     --恢复主界面选单 
     global.EndScene()
  
end     